---
updatedAt: 2026-05-20T09:16:05.000Z
---

Fetch the complete documentation index at: https://apidocs.hibob.com/llms.txt. Use this file to discover all available pages before exploring further.

# Search interviews

Searches interview records using filters and returns paginated results.

<ul>
  <li>Use the <code>fields</code> parameter to specify which fields to return</li>
  <li>Use the <code>filters</code> parameter to narrow down results</li>
  <li>Use cursor-based pagination with <code>limit</code> and <code>cursor</code></li>
</ul>

<p><b>Testing notes</b>:</p>
<ul>
  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>
  <li>Use the <b>Examples > Request Example</b> option to see how to initiate body parameters.</li>
</ul>


# OpenAPI definition

```json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Bob Hiring API",
    "description": "Public API for accessing Bob Hiring data including Job Openings, Candidates, and Applications.",
    "license": {
      "name": "Proprietary",
      "url": "https://apidocs.hibob.com/docs/api-terms-of-use"
    },
    "contact": {
      "name": "Hi Bob, Inc."
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.hibob.com/v1",
      "description": "Production"
    },
    {
      "url": "https://api.sandbox.hibob.com/v1",
      "description": "Sandbox"
    }
  ],
  "x-readme": {
    "metrics-enabled": false
  },
  "tags": [
    {
      "name": "Interviews & Evaluations",
      "description": "Search and retrieve interviews & evaluations data"
    }
  ],
  "paths": {
    "/hiring/interviews/search": {
      "post": {
        "tags": [
          "Interviews & Evaluations"
        ],
        "operationId": "post_hiring-interviews-search",
        "summary": "Search interviews",
        "description": "Searches interview records using filters and returns paginated results.\n\n<ul>\n  <li>Use the <code>fields</code> parameter to specify which fields to return</li>\n  <li>Use the <code>filters</code> parameter to narrow down results</li>\n  <li>Use cursor-based pagination with <code>limit</code> and <code>cursor</code></li>\n</ul>\n\n<p><b>Testing notes</b>:</p>\n<ul>\n  <li>Use the testing widget's <b>Try It!</b> option to test this endpoint.</li>\n  <li>Use the <b>Examples > Request Example</b> option to see how to initiate body parameters.</li>\n</ul>\n",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/InterviewSearchRequest"
              },
              "examples": {
                "basicSearch": {
                  "summary": "Basic search - all interviews",
                  "description": "Retrieve interview records with core fields",
                  "value": {
                    "fields": [
                      "/interview/id",
                      "/interview/name",
                      "/interview/status",
                      "/interview/type",
                      "/interview/applicationId"
                    ],
                    "filters": [],
                    "limit": 100
                  }
                },
                "filteredSearch": {
                  "summary": "Filter by application ID",
                  "description": "Search with specific filter criteria",
                  "value": {
                    "fields": [
                      "/interview/id",
                      "/interview/name",
                      "/interview/status",
                      "/interview/type",
                      "/interview/applicationId",
                      "/interview/jobOpeningId",
                      "/interview/startAt",
                      "/interview/endAt",
                      "/interview/ownedBy"
                    ],
                    "filters": [
                      {
                        "fieldId": "/interview/applicationId",
                        "operator": "equals",
                        "values": [
                          7247348
                        ]
                      }
                    ],
                    "limit": 50
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully retrieved interview records",
            "headers": {
              "X-RateLimit-Limit": {
                "description": "Maximum requests per minute",
                "schema": {
                  "type": "integer",
                  "example": 120
                }
              },
              "X-RateLimit-Remaining": {
                "description": "Remaining requests in current window",
                "schema": {
                  "type": "integer",
                  "example": 119
                }
              },
              "X-RateLimit-Reset": {
                "description": "Seconds until rate limit resets",
                "schema": {
                  "type": "integer",
                  "example": 60
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InterviewSearchResponse"
                },
                "examples": {
                  "successResponse": {
                    "summary": "Successful response",
                    "value": {
                      "items": [
                        {
                          "/interview/id": 10001,
                          "/interview/name": "Technical Interview",
                          "/interview/status": "scheduled",
                          "/interview/type": "video",
                          "/interview/applicationId": 7247348,
                          "/interview/jobOpeningId": 7247345,
                          "/interview/startAt": "2024-08-15T10:00:00Z",
                          "/interview/endAt": "2024-08-15T11:00:00Z",
                          "/interview/ownedBy": 2730269,
                          "/interview/interviewers": [
                            {
                              "id": "2730269",
                              "responseType": "yes"
                            },
                            {
                              "id": "2730270",
                              "responseType": "no_reply"
                            }
                          ],
                          "/interview/conferencing": {
                            "url": "https://zoom.us/j/123456789",
                            "meetingId": "123456789"
                          },
                          "/interview/conferencingType": "zoom",
                          "/interview/alerts": [
                            {
                              "type": "recruiter_created_self_scheduled_interview",
                              "timestamp": "2024-08-14T09:00:00Z",
                              "isDismissed": false,
                              "isArchived": false
                            }
                          ]
                        }
                      ],
                      "response_metadata": {
                        "next_cursor": "eyJpZCI6MTIzNDU2Nzg5fQ=="
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "INVALID_ARGUMENT",
                  "message": "Invalid field ID",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized - Invalid or missing credentials",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - IP not allowed or feature not enabled",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "FORBIDDEN",
                  "message": "Access denied: IP address is not allowed",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "code": "RATE_LIMITED",
                  "message": "Rate limit exceeded. Try again in 45 seconds.",
                  "requestId": "a1b2c3d4e5f6"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "security": [
          {
            "Basic": []
          }
        ],
        "x-internal": false
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Basic": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic HTTP authentication using service user credentials"
      }
    },
    "schemas": {
      "InterviewSearchRequest": {
        "type": "object",
        "required": [
          "fields"
        ],
        "default": {
          "fields": [
            "/interview/id",
            "/interview/name",
            "/interview/status",
            "/interview/type",
            "/interview/applicationId"
          ],
          "filters": [],
          "limit": 100
        },
        "properties": {
          "fields": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "/interview/id",
                "/interview/name",
                "/interview/status",
                "/interview/type",
                "/interview/jobOpeningId",
                "/interview/applicationId",
                "/interview/stageId",
                "/interview/siteId",
                "/interview/eventId",
                "/interview/hasEvaluation",
                "/interview/hasEvaluationScorecard",
                "/interview/evaluationScorecardTemplateId",
                "/interview/interviewers",
                "/interview/startAt",
                "/interview/endAt",
                "/interview/locationInstruction",
                "/interview/conferencing",
                "/interview/conferencingType",
                "/interview/ownedBy",
                "/interview/isJoinable",
                "/interview/canNudge",
                "/interview/availableSlots",
                "/interview/alerts",
                "/interview/sessionType",
                "/interview/category",
                "/interview/title",
                "/interview/availableStartAt",
                "/interview/availableEndAt",
                "/interview/slotDuration",
                "/interview/allowReschedule",
                "/interview/isSelfScheduled"
              ]
            },
            "description": "Required list of field IDs to include in the response (1–50 fields). The property must be provided; if omitted or not provided, the API returns an error. You must explicitly choose which fields to fetch. For all available field IDs, see the <code>fields</code> object defined on each item in the 200 response schema."
          },
          "filters": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "fieldId",
                "operator",
                "values"
              ],
              "properties": {
                "fieldId": {
                  "type": "string",
                  "enum": [
                    "/interview/id",
                    "/interview/applicationId",
                    "/interview/jobOpeningId",
                    "/interview/status"
                  ],
                  "description": "Field ID to filter by"
                },
                "operator": {
                  "type": "string",
                  "enum": [
                    "equals",
                    "notEqual",
                    "greaterThan",
                    "lessThan"
                  ],
                  "description": "Filter operator. Use 'equals'/'notEqual' for exact matching. Use 'greaterThan'/'lessThan' for date range filtering.\n"
                },
                "values": {
                  "type": "array",
                  "items": {
                    "type": [
                      "string",
                      "number"
                    ]
                  }
                }
              }
            },
            "default": []
          },
          "limit": {
            "type": "integer",
            "minimum": 1,
            "maximum": 200,
            "default": 100
          },
          "cursor": {
            "type": "string"
          },
          "includeArchived": {
            "type": "boolean",
            "default": false
          }
        }
      },
      "InterviewSearchResponseObject": {
        "type": "object",
        "description": "Flat key-value map of field IDs to values. Only requested fields are included.",
        "properties": {
          "/interview/id": {
            "type": "integer",
            "format": "int64",
            "description": "Unique identifier"
          },
          "/interview/name": {
            "type": "string",
            "description": "Interview name"
          },
          "/interview/status": {
            "type": "string",
            "enum": [
              "canceled",
              "no_show",
              "taken_place",
              "completed",
              "scheduled",
              "pending_input",
              "reschedule_requested",
              "candidate_rescheduled",
              "candidate_canceled",
              "pending_with_candidate"
            ],
            "description": "Interview status. Possible values:<br /> <ul> <li><code>canceled</code> – Canceled</li> <li><code>no_show</code> – No show</li> <li><code>taken_place</code> – Taken place</li> <li><code>completed</code> – Completed</li> <li><code>scheduled</code> – Scheduled</li> <li><code>pending_input</code> – Pending input</li> <li><code>reschedule_requested</code> – Reschedule requested</li> <li><code>candidate_rescheduled</code> – Candidate rescheduled</li> <li><code>candidate_canceled</code> – Candidate canceled</li> <li><code>pending_with_candidate</code> – Pending with candidate</li> </ul>"
          },
          "/interview/type": {
            "type": "string",
            "enum": [
              "video",
              "on_site",
              "hybrid"
            ],
            "description": "Interview type. Possible values:<br /> <ul> <li><code>video</code> – Video</li> <li><code>on_site</code> – On-site</li> <li><code>hybrid</code> – Hybrid</li> </ul>"
          },
          "/interview/jobOpeningId": {
            "type": "number",
            "description": "ID of the associated job opening.<br /><br />To fetch the job opening, use <a href=\"https://apidocs.hibob.com/reference/post_hiring-job-openings-search\" target=\"_blank\">Search job openings ↗</a>."
          },
          "/interview/applicationId": {
            "type": "number",
            "description": "ID of the associated application.<br /><br />To fetch the application, use <a href=\"https://apidocs.hibob.com/reference/post_hiring-applications-search\" target=\"_blank\">Search applications ↗</a>."
          },
          "/interview/stageId": {
            "type": "number",
            "description": "Pipeline stage ID"
          },
          "/interview/siteId": {
            "type": "number",
            "description": "Site ID.<br /><br />To fetch sites (IDs and names), use <a href=\"https://apidocs.hibob.com/reference/get_company-named-lists-listname\" target=\"_blank\">Get a specific company list by name ↗</a> with path parameter <code>listName</code> set to <code>site</code> (<code>GET /v1/company/named-lists/site</code>)."
          },
          "/interview/eventId": {
            "type": "number",
            "description": "Calendar event ID linked to this interview"
          },
          "/interview/hasEvaluation": {
            "type": "boolean",
            "description": "Whether the interview has an evaluation"
          },
          "/interview/hasEvaluationScorecard": {
            "type": "boolean",
            "description": "Whether the interview has an evaluation scorecard"
          },
          "/interview/evaluationScorecardTemplateId": {
            "type": "number",
            "description": "Evaluation scorecard template ID.<br /><br />To fetch the template, use <a href=\"https://apidocs.hibob.com/reference/post_hiring-evaluation-scorecard-templates-search\" target=\"_blank\">Search evaluation scorecard templates ↗</a>."
          },
          "/interview/interviewers": {
            "type": "array",
            "description": "List of interviewers and their RSVP responses.",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "description": "Employee ID of the interviewer.<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
                },
                "responseType": {
                  "type": "string",
                  "enum": [
                    "yes",
                    "no",
                    "maybe",
                    "no_reply"
                  ],
                  "description": "Interviewer RSVP response. Possible values:<br /> <ul> <li><code>yes</code> – Accepted</li> <li><code>no</code> – Declined</li> <li><code>maybe</code> – Tentative</li> <li><code>no_reply</code> – No reply yet</li> </ul>"
                }
              }
            }
          },
          "/interview/startAt": {
            "type": "string",
            "format": "date-time",
            "description": "Scheduled start time"
          },
          "/interview/endAt": {
            "type": "string",
            "format": "date-time",
            "description": "Scheduled end time"
          },
          "/interview/locationInstruction": {
            "type": "string",
            "description": "Location or meeting instructions"
          },
          "/interview/conferencing": {
            "type": "object",
            "description": "Conferencing meeting details. The provider type is in the separate <code>/interview/conferencingType</code> field.",
            "properties": {
              "url": {
                "type": "string",
                "description": "Meeting join URL"
              },
              "meetingId": {
                "type": "string",
                "description": "Meeting ID (provider-specific, may be null)"
              }
            }
          },
          "/interview/conferencingType": {
            "type": "string",
            "enum": [
              "zoom",
              "google_meet",
              "microsoft_teams",
              "goto_meeting",
              "webex"
            ],
            "description": "Conferencing provider. Possible values:<br /> <ul> <li><code>zoom</code> – Zoom</li> <li><code>google_meet</code> – Google Meet</li> <li><code>microsoft_teams</code> – Microsoft Teams</li> <li><code>goto_meeting</code> – GoTo Meeting</li> <li><code>webex</code> – Webex</li> </ul>"
          },
          "/interview/ownedBy": {
            "type": "string",
            "description": "Employee ID of the interview owner<br /><br />To read this employee, use <a href=\"https://apidocs.hibob.com/reference/post_people-identifier\" target=\"_blank\">Read company employee fields by employee ID ↗</a>."
          },
          "/interview/isJoinable": {
            "type": "boolean",
            "description": "Whether the interview can be joined"
          },
          "/interview/canNudge": {
            "type": "boolean",
            "description": "Whether a nudge can be sent"
          },
          "/interview/availableSlots": {
            "type": "number",
            "description": "Number of available scheduling slots"
          },
          "/interview/alerts": {
            "type": "array",
            "description": "Interview alert history. Each alert uses a polymorphic <code>type</code> discriminator. All alerts share <code>timestamp</code>, <code>isDismissed</code>, and <code>isArchived</code>; some types include additional fields.",
            "items": {
              "type": "object",
              "properties": {
                "type": {
                  "type": "string",
                  "enum": [
                    "candidate_scheduled",
                    "candidate_rescheduled",
                    "candidate_canceled",
                    "recruiter_canceled",
                    "no_time_slots",
                    "request_more_time_slots",
                    "request_to_reschedule",
                    "recruiter_nudged",
                    "recruiter_changed_field",
                    "recruiter_updated_time_slots",
                    "recruiter_created_self_scheduled_interview"
                  ],
                  "description": "Alert type discriminator"
                },
                "timestamp": {
                  "type": "string",
                  "format": "date-time",
                  "description": "When the alert was triggered"
                },
                "isDismissed": {
                  "type": "boolean",
                  "description": "Whether the alert has been dismissed"
                },
                "isArchived": {
                  "type": "boolean",
                  "description": "Whether the alert has been archived"
                },
                "note": {
                  "type": "string",
                  "description": "Optional note (present on rescheduled, canceled, and request alerts)"
                },
                "employeeFullName": {
                  "type": "string",
                  "description": "Full name of the employee (present on recruiter_canceled alerts)"
                },
                "fieldNames": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  },
                  "description": "Changed field names (present on recruiter_changed_field alerts)"
                }
              }
            }
          },
          "/interview/sessionType": {
            "type": "string",
            "enum": [
              "in_person",
              "virtual",
              "phone_call"
            ],
            "description": "Session type. Possible values:<br /> <ul> <li><code>in_person</code> – In person</li> <li><code>virtual</code> – Virtual</li> <li><code>phone_call</code> – Phone call</li> </ul>"
          },
          "/interview/category": {
            "type": "string",
            "description": "Interview category. Values are company-defined and managed as a named list (<code>interviewCategory</code>)."
          },
          "/interview/title": {
            "type": "string",
            "description": "Interview title"
          },
          "/interview/availableStartAt": {
            "type": "string",
            "format": "date-time",
            "description": "Available start time for self-scheduling"
          },
          "/interview/availableEndAt": {
            "type": "string",
            "format": "date-time",
            "description": "Available end time for self-scheduling"
          },
          "/interview/slotDuration": {
            "type": "number",
            "description": "Slot duration in minutes"
          },
          "/interview/allowReschedule": {
            "type": "boolean",
            "description": "Whether rescheduling is allowed"
          },
          "/interview/isSelfScheduled": {
            "type": "boolean",
            "description": "Whether the interview was self-scheduled"
          }
        }
      },
      "InterviewSearchResponse": {
        "type": "object",
        "required": [
          "items",
          "response_metadata"
        ],
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/InterviewSearchResponseObject"
            },
            "description": "Array of interview objects"
          },
          "response_metadata": {
            "type": "object",
            "properties": {
              "next_cursor": {
                "type": [
                  "string",
                  "null"
                ],
                "description": "Cursor for next page. Null if no more results."
              }
            }
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "required": [
          "code",
          "message",
          "requestId"
        ],
        "properties": {
          "code": {
            "type": "string",
            "enum": [
              "INVALID_ARGUMENT",
              "FORBIDDEN",
              "RATE_LIMITED",
              "INTERNAL_ERROR",
              "NOT_FOUND"
            ],
            "description": "Error code identifying the type of error:\n- `INVALID_ARGUMENT`: Invalid request parameters\n- `FORBIDDEN`: Access denied (IP not allowed or feature disabled)\n- `RATE_LIMITED`: Too many requests\n- `INTERNAL_ERROR`: Server-side error\n- `NOT_FOUND`: Resource not found\n"
          },
          "message": {
            "type": "string",
            "description": "Human-readable error message"
          },
          "requestId": {
            "type": "string",
            "description": "Unique request identifier for tracking and debugging"
          }
        }
      }
    }
  }
}
```